import java.io.File;
import java.io.IOException;
import java.util.logging.FileHandler;
import java.util.logging.Level;
import java.util.logging.Logger;
import java.util.logging.SimpleFormatter;

public class Log {
	  public Logger logger;
	  private FileHandler fh;
	  static {
	      System.setProperty("java.util.logging.SimpleFormatter.format",
	              "[%1$tF %1$tT %1$tL] [%4$-7s] %5$s %n");
	  }
	  	  
	  Log(String file_name) throws SecurityException, IOException {
	  File f = new File(file_name);
	  // delete the log file before creating a new one
	  f.delete();
	  if (!f.exists()) {
	   f.createNewFile();
	  }
	fh = new FileHandler(file_name,true);
	logger = Logger.getLogger("Sample");
	logger.addHandler(fh);

	SimpleFormatter formatter = new SimpleFormatter();
	
	fh.setFormatter(formatter); 

	  }

}
